<?php namespace EwTools\Interfaces;

/**
 * Interface ComponentsPageInterface
 *
 * @link    http://infomaker.se
 * @package EwTools\Interfaces
 * @since   EwTools\Interfaces\ComponentsPageInterface 0.1
 */
interface ComponentsPageInterface {
    
    /**
     * Retrieve stored components and try to activate them.
     * Restores list after activation
     *
     * @since 0.1
     * @return bool
     */
    public function activateComponents();
    
    /**
     * Retrieve stored components and try to deactivate them.
     *
     * @since 0.1
     * @return void
     */
    public function deactivateComponents();
    
    /**
     * Retrieve a merged list of active plugins and Everyware components
     * A list of plugins may be sent into the function
     *
     * @param array $plugins
     *
     * @since 0.1
     * @return array
     */
    public function getCombinedPlugins( $plugins = null );
    
    /**
     * Retrieve a list of plugins from Wordpress options table and filter out the components
     * A list of plugins may be sent into the function
     *
     * @param null $plugins
     *
     * @since 0.1
     * @return mixed
     */
    public function getFilteredPlugins( $plugins = null );
}