<?php namespace EwTools\Interfaces;

/**
 * Interface SettingsPageInterface
 *
 * @link    http://infomaker.se
 * @package EwTools\Interfaces
 * @since   EwTools\Interfaces\SettingsPageInterface 0.1
 */
interface SettingsPageInterface {
    
    /**
     * Retrieve any messages that may be displayed by the settings-page
     *
     * @since 0.1
     * @return string
     */
    public function getMessage();
    
    /**
     * Retrieve the slug to be used to identify and activate tab
     *
     * @since 0.1
     * @return string
     */
    public function getTabSlug();
    
    /**
     * The title/label displayed on the tab
     *
     * @since 0.1
     * @return string
     */
    public function getTabTitle();
    
    /**
     * Fires on Page-load if active
     *
     * @since 0.1
     * @return void
     */
    public function onPageLoad();
    
    /**
     * Fires on Page-load if active
     *
     * @since 0.1
     * @return string
     */
    public function pageContent();
}